package com.ynet.life.formValidation;

import com.ynet.life.exception.TranFailException;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/* loaded from: com_ynet_life_formValidation.jar:com/ynet/life/formValidation/FormValidationConfig.class */
public class FormValidationConfig {
    private static final String BUSINESS_SEPERATOR = ",";
    private String businessCode;
    private Map dataToTypeMap = new HashMap();

    public FormValidationConfig(String businessCode) {
        this.businessCode = businessCode;
    }

    public static Map initFormFile(String filePathName) throws TranFailException {
        new HashMap();
        return new FormValidationConfigXMLReader(filePathName).getConfigs();
    }

    public void addDataTableField(String dataField, Map dataType) throws TranFailException {
        if (this.dataToTypeMap.containsKey(dataField)) {
            throw new TranFailException("EBLN0000", "数据域变量重复定义：name = ".concat(String.valueOf(dataField)));
        }
        this.dataToTypeMap.put(dataField, dataType);
    }

    public Map getDataToTypeMap() {
        return this.dataToTypeMap;
    }

    public String getBusinessCode() {
        int seperatorPos = this.businessCode.indexOf(",");
        if (seperatorPos > 0) {
            return this.businessCode.substring(0, seperatorPos);
        }
        return this.businessCode;
    }

    public String getFields() {
        StringBuffer fieldList = new StringBuffer();
        Iterator iterator = getDataToTypeMap().keySet().iterator();
        while (iterator.hasNext()) {
            String dataField = (String) iterator.next();
            if (iterator.hasNext()) {
                fieldList.append(dataField).append(",");
            } else {
                fieldList.append(dataField);
            }
        }
        return fieldList.toString();
    }
}
